Start CLI setup for a new network device
post
Authorizations
defguard_sessionstringRequired
Body
assigned_ipsstring[]Required
descriptionstring · nullableOptional
location_idinteger · int64Required
namestringRequired
Responses
201
Setup started. Returns the enrollment token and URL.
application/json
objectOptional
400
Invalid IP assignment.
application/json
401
Session is missing or invalid.
application/json
403
Requires admin privileges.
application/json
500
Unable to start network device setup.
application/json
post/api/v1/device/network/start_cli
POST /api/v1/device/network/start_cli HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 74
{
"assigned_ips": [
"text"
],
"description": null,
"location_id": 1,
"name": "text"
}{
"enrollment_token": "yZbTsF0m9Xq7cVwPnR2Ld1Ku",
"enrollment_url": "https://vpn.example.com/"
}PreviousCheck whether the given IP addresses are free in a locationNextStart CLI setup for an existing network device
Last updated
Was this helpful?